# Uses of Interface
com.sun.source.doctree.SerialDataTree

Packages that use SerialDataTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SerialDataTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SerialDataTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitSerialData(SerialDataTree node, P p)`
Visits a `SerialDataTree` node.

## Uses of SerialDataTree in com.sun.source.util

Methods in com.sun.source.util that return SerialDataTree
Modifier and Type
Method
Description
`SerialDataTree`
DocTreeFactory.`newSerialDataTree(List<? extends DocTree> description)`
Creates a new `SerialDataTree` object, to represent a `@serialData` tag.
Methods in com.sun.source.util with parameters of type SerialDataTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSerialData(SerialDataTree node, P p)`
Visits a `SerialDataTree` node.
`R`
SimpleDocTreeVisitor.`visitSerialData(SerialDataTree node, P p)`
Visits a `SerialDataTree` node.